Bug 980904 - CVE-2013-2221 CVE-2013-2222 CVE-2013-2223 libzrtpcpp various flaws [fedora-all]
Summary: CVE-2013-2221 CVE-2013-2222 CVE-2013-2223 libzrtpcpp various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libzrtpcpp
Version: 18
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: component:libzrtpcpp
Depends On:
Blocks: CVE-2013-2221 CVE-2013-2222 CVE-2013-2223
TreeView+ depends on / blocked
 
Reported: 2013-07-03 13:30 UTC by Jan Lieskovsky
Modified: 2013-09-01 18:50 UTC (History)
3 users (show)

Fixed In Version: libzrtpcpp-3.2.1-2.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-16 01:42:39 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-07-03 13:30:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Jan Lieskovsky 2013-07-03 13:31:11 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=980894,980904

Comment 2 Jan Lieskovsky 2013-07-03 13:31:48 UTC
Adding parent bug CVE-2013-2222.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=980904,980894,980895

Comment 3 Jan Lieskovsky 2013-07-03 13:32:23 UTC
Adding parent bug CVE-2013-2223.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=980904,980894,980895,980896

Comment 4 Fedora Update System 2013-07-05 20:56:16 UTC
libzrtpcpp-2.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libzrtpcpp-2.3.4-1.fc19

Comment 5 Kevin Fenzi 2013-07-05 20:58:10 UTC
I'm still investigating how best to update Fedora 17/18... (19 and rawhide can just simply be updated to the new upstream version, not sure yet if that will work for older releases or rebuilds/backporting is needed).

Comment 6 Fedora Update System 2013-07-07 01:31:28 UTC
Package libzrtpcpp-2.3.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libzrtpcpp-2.3.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12479/libzrtpcpp-2.3.4-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-07-14 19:55:09 UTC
libzrtpcpp-2.3.4-1.fc18,ortp-0.20.0-5.fc18,twinkle-1.4.2-19.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libzrtpcpp-2.3.4-1.fc18,ortp-0.20.0-5.fc18,twinkle-1.4.2-19.fc18.1

Comment 8 Fedora Update System 2013-07-14 19:56:02 UTC
libzrtpcpp-2.3.4-1.fc17,ortp-0.20.0-5.fc17,twinkle-1.4.2-19.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libzrtpcpp-2.3.4-1.fc17,ortp-0.20.0-5.fc17,twinkle-1.4.2-19.fc17.1

Comment 9 Fedora Update System 2013-07-16 01:42:39 UTC
libzrtpcpp-2.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-07-24 03:37:47 UTC
libzrtpcpp-2.3.4-1.fc18, ortp-0.20.0-5.fc18, twinkle-1.4.2-19.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-07-24 03:41:38 UTC
libzrtpcpp-2.3.4-1.fc17, ortp-0.20.0-5.fc17, twinkle-1.4.2-19.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-08-08 11:20:44 UTC
libzrtpcpp-3.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libzrtpcpp-3.2.1-2.el6

Comment 13 Fedora Update System 2013-08-14 09:26:47 UTC
libzrtpcpp-3.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libzrtpcpp-3.2.1-3.el5

Comment 14 Fedora Update System 2013-09-01 18:49:30 UTC
libzrtpcpp-3.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-09-01 18:50:20 UTC
libzrtpcpp-3.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.